/*******************************************************************
* Creation Date: 04/05/2019   
*   MD_SASD_2017_ZIP.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      OUTPATIENT ZIP FILE INTO SPSS                             
*******************************************************************/


***************************************************************;
* ----------------------------------------------------------- *;
* |  NOTICE: Use of HCUP data constitutes acceptance of the | *;
* |  terms and conditions of the HCUP Data Use Agreement.   | *;
* ----------------------------------------------------------- *;
***************************************************************;


********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************.

DATA LIST FILE = 'MD_SASD_2017_ZIP.ASC' FIXED SKIP=2 / 
 HOSPST                          1-   2 (A)
 KEY                             3-  17
 YEAR                           18-  21
 ZIP                            22-  26 (A).


***  Specify write formats  ***.
FORMATS
 KEY                          (F8.0) /
 YEAR                         (F3.0) /
.


***  Assign labels to the variables ***.
VARIABLE LABELS 
 HOSPST                       "Hospital state postal code"
 KEY                          "HCUP record identifier"
 YEAR                         "Calendar year"
 ZIP                          "Patient ZIP Code" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.




SAVE OUTFILE = 'MD_SASD_2017_ZIP.SAV' /COMPRESSED.
